/* 
 © 2024 Appstock 
 */

#import "ASAdORTBAbstract.h"
#import "ASAdORTBExtMobileSDKEvents.h"

@class ASAdORTBExtMobileSDKPassthrough;

NS_ASSUME_NONNULL_BEGIN

@interface ASAdORTBBidExtMobileSDK: ASAdORTBAbstract

@property (nonatomic, copy, nullable) NSString *type;

// NOTE: AppStock server does not support remote config yet.
@property (nonatomic, copy, nullable) NSArray<ASAdORTBExtMobileSDKPassthrough *> *passthrough;

// NOTE: AppStock events should be migrated or removed later.
// For now, we shouldn't use it.
@property (nonatomic, strong, nullable) ASAdORTBExtMobileSDKEvents *events;

@end

NS_ASSUME_NONNULL_END
